#
# spec file for package python-humanreadable
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-humanreadable
Version:        0.4.0
Release:        2.1
Summary:        A Python library to convert from human-readable values to Python values
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/thombashi/humanreadable
Source:         https://files.pythonhosted.org/packages/source/h/humanreadable/humanreadable-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools >= 61}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-setuptools >= 61
Requires:       python-typepy >= 1.2.0
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module typepy >= 1.2.0}
# /SECTION
%python_subpackages

%description
humanreadable is a Python library to convert from human-readable
values to Python values.

%prep
%setup -q -n humanreadable-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/humanreadable*

%changelog
* Wed May 28 2025 Markéta Machová <mmachova@suse.com>
- Convert to pip-based build
* Thu Dec  7 2023 Dirk Müller <dmueller@suse.com>
- update to 0.4.0:
  * Add `to_humanreadable` method to `BitsPerSecond` class
  * Fix `to_humanreadable` method failed when the value is over 1
    day: #2 (Thanks to @giobri)
  * Fix `__all__` in `__init__.py`
  * Drop support for Python 3.6
  * Improve type annotations
  * Modify to use `pypa/build` for package build
- update to 0.3.0:
  * Add additional formats support for `BitPerSecond` class
  * Add `__add__` method to `BitPerSecond` and `Time` classes
  * Add `BitsPerSecond` class that is an alias of the
    `BitPerSecond` class
  * Add `to_humanreadable` method to the `Time` class
- update to 0.2.0:
  * Add support for Python 3.10/3.11
  * Drop support for Python 3.5
  * Change `BitPerSecond.bps` property type from `int` to `float`
  * Add type annotations
  * Update requirements
* Sat Apr  4 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 0.1.0
  * Upstream does not provide a changelog
- Drop support for python2
- Adjust requirements
* Sat Feb  8 2020 Martin Hauke <mardnh@gmx.de>
- Initial package, version 0.0.8
